apiVersion: v1
kind: LimitRange
metadata:
  name: wso2-qa-limit
  namespace: wso2ei-qa
spec:
  limits:
  - max:
      cpu: 4
      memory: 8Gi
    min:
      cpu: 0.5
      memory: 128Mi
    default:
      cpu: 1
      memory: 256Mi
    defaultRequest:
      cpu: 0.5
      memory: 128Mi
    type: Container
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: wso2-qa-res-quota
  namespace: wso2ei-qa
spec:
  hard:
    requests.cpu: "6"           # Numero maximo de CPU en request permitidos en la sumatoria de todos los pods
    requests.memory: 20Gi       # Numero maximo de Memoria en request permitidos en la sumatoria de todos los pods
    limits.cpu: "12"            #  Numero maximo de CPU en Limits permitidos en la sumatoria de todos los pods
    limits.memory: 28Gi 
    pods: 7